- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IFeedContentProvider
TFeedService
TJsonResponse
TJsonService
TPageConfiguration
TPageService
TSoapServer
TSoapService

Keyword

# Class TSoapServer

    TComponent
       |
       --TApplicationComponent
          |
          --TSoapServer

TSoapServer class.

TSoapServer is a wrapper of the PHP SoapServer class. It associates a SOAP provider class to the SoapServer object. It also manages the URI for the SOAP service and WSDL.

Since: 3.1
Author: Qiang Xue <qiang.xue@gmail.com>

Method Summary
protected SoapServer | createServer () Creates the SoapServer instance.
void | fault ( string $title, mixed $details, string $code, string $actor, string $name) Generate a SOAP fault message.
string | getActor ()
string | getClassMaps ()
string | getEncoding ()
string | getID ()
protected array | getOptions ()
string | getProvider ()
string | getRequestedMethod () Soap method guessed from the SOAP message received.
boolean | getSessionPersistent ()
string | getUri ()
string | getVersion ()
string | getWsdl () Returns the WSDL content of the SOAP server.
string | getWsdlUri ()
protected void | guessMethodCallRequested ( string $class) Guess the SOAP method request from the actual SOAP message
void | run () Handles the SOAP request.
void | setActor ( string $value)
string | setClassMaps ( mixed $classes)
void | setEncoding ( string $value)
void | setID ( string $id)
void | setProvider ( string $provider)
void | setSessionPersistent ( boolean $value)
void | setUri ( string $uri)
void | setVersion ( string $value)
void | setWsdlUri ( string $value)

Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constant Summary
string | WSDL_CACHE_PREFIX |

Method Details

## createServer

protected SoapServer createServer | ()

Creates the SoapServer instance.

Output
Exception

## fault

public void fault | (string $title , mixed $details , string $code , string $actor , string $name )

Generate a SOAP fault message.

Input
string | $title | message title
mixed | $details | message details
string | $code | message code, defalt is 'SERVER'.
string | $actor | actors
string | $name | message name
Output
Exception

## getActor

public string getActor | ()

Output
string | actor of the SOAP service
Exception

## getClassMaps

public string getClassMaps | ()

Output
string | comma delimit list of complex type classes.
Exception

## getEncoding

public string getEncoding | ()

Output
string | encoding of the SOAP service
Exception

## getID

public string getID | ()

Output
string | the ID of the SOAP server
Exception

## getOptions

protected array getOptions | ()

Output
array | options for creating SoapServer instance
Exception

## getProvider

public string getProvider | ()

Output
string | the SOAP provider class (in namespace format)
Exception

## getRequestedMethod

public string getRequestedMethod | ()

Soap method guessed from the SOAP message received.

Output
string | soap method request, null if not found.
Exception

## getSessionPersistent

public boolean getSessionPersistent | ()

Output
boolean | whether the SOAP service is persistent within session. Defaults to false.
Exception

## getUri

public string getUri | ()

Output
string | the URI for the SOAP service
Exception

## getVersion

public string getVersion | ()

Output
string | SOAP version, defaults to empty (meaning not set).
Exception

## getWsdl

public string getWsdl | ()

Returns the WSDL content of the SOAP server.

If WsdlUri is set, its content will be returned. If not, the Provider class will be investigated and the WSDL will be automatically genearted.

Output
string | the WSDL content of the SOAP server
Exception

## getWsdlUri

public string getWsdlUri | ()

Output
string | the URI for WSDL
Exception

## guessMethodCallRequested

protected void guessMethodCallRequested | (string $class )

Guess the SOAP method request from the actual SOAP message

Input
string | $class | current handler class.
Output
Exception

## run

public void run | ()

Handles the SOAP request.

Output
Exception

## setActor

public void setActor | (string $value )

Input
string | $value | actor of the SOAP service
Output
Exception

## setClassMaps

public string setClassMaps | (mixed $classes )

Input
mixed | $classes |
Output
string | comma delimit list of class names
Exception

## setEncoding

public void setEncoding | (string $value )

Input
string | $value | encoding of the SOAP service
Output
Exception

## setID

public void setID | (string $id )

Input
string | $id | the ID of the SOAP server
Output
Exception
throws | TInvalidDataValueException if the ID ends with '.wsdl'.

## setProvider

public void setProvider | (string $provider )

Input
string | $provider | the SOAP provider class (in namespace format)
Output
Exception

## setSessionPersistent

public void setSessionPersistent | (boolean $value )

Input
boolean | $value | whether the SOAP service is persistent within session.
Output
Exception

## setUri

public void setUri | (string $uri )

Input
string | $uri | the URI for the SOAP service
Output
Exception

## setVersion

public void setVersion | (string $value )

Input
string | $value | SOAP version, either '1.1' or '1.2'
Output
Exception
throws | TInvalidDataValueException if neither '1.1' nor '1.2'

## setWsdlUri

public void setWsdlUri | (string $value )

Input
string | $value | the URI for WSDL
Output
Exception

Constant Details

### WSDL_CACHE_PREFIX

#### Type:

string

#### Value:

'wsdl.'